/**
 * {clickTime} clicks in {interval}(ms) time can trigger a multiple click event
 */
export interface UseMultipleClickOptions {
    clickTime: number;
    interval: number;
}
export interface UseMultipleClickEventComposite {
    clicks: UseMultipleClickEvent[];
}
export interface UseMultipleClickEvent {
    nativeEvent: MouseEvent;
    time: number;
}
/**
 * listen multiple click
 * @param el        target element
 * @param callback  multiple click callback
 * @param options   options
 * @returns         a function to clear side effect
 */
export declare function useMultipleClick(el: HTMLElement, callback: (this: HTMLElement, e: UseMultipleClickEventComposite) => void, options?: UseMultipleClickOptions): () => void;
